gsoap (2.8.135-1) unstable; urgency=medium

  * Update to 2.8.135

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 30 Oct 2024 11:04:52 +0100

gsoap (2.8.132-3) unstable; urgency=medium

  * Don't overwrite CPPFLAGS in Makefile.am files in sample directory
  * Add -D_GNU_SOURCE to CPPFLAGS to make strtod_l available on hurd-any

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 07 Aug 2024 08:16:28 +0200

gsoap (2.8.132-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1064079

 -- Steve Langasek <vorlon@debian.org>  Thu, 29 Feb 2024 05:33:01 +0000

gsoap (2.8.132-2) unstable; urgency=medium

  * Re-upload source only

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 25 Jan 2024 11:34:59 +0100

gsoap (2.8.132-1) unstable; urgency=medium

  * Update to 2.8.132

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 23 Jan 2024 11:10:40 +0100

gsoap (2.8.124-2) unstable; urgency=medium

  * Re-upload source only

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 22 Dec 2022 22:12:52 +0100

gsoap (2.8.124-1) unstable; urgency=medium

  * Update to 2.8.124
  * Drop ancient Replaces/Breaks

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 21 Dec 2022 07:46:37 +0100

gsoap (2.8.117-2) unstable; urgency=medium

  * Re-upload source only

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 23 Aug 2021 14:31:17 +0200

gsoap (2.8.117-1) unstable; urgency=medium

  * Update to 2.8.117
  * Drop patches previously backported
  * Change to debhelper compat level 13
  * Remove override_dh_missing rule (--fail-missing is default)
  * Remove override_dh_strip rule (completed debug symbol migration)
  * Add /usr/share/gsoap to soapcpp2's default import path (Closes: #977259)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 20 Aug 2021 21:11:03 +0200

gsoap (2.8.104-3) unstable; urgency=high

  * Backporting upstream fixes (Closes: #983596)
    - Fixes CVE: CVE-2020-13574 CVE-2020-13575 CVE-2020-13577 CVE-2020-13578
    - Fixes CVE: CVE-2020-13576
  * Urgency high due to fixing RC bug

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 08 Mar 2021 14:06:23 +0100

gsoap (2.8.104-2) unstable; urgency=medium

  * Re-upload source only

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sat, 25 Jul 2020 08:30:12 +0200

gsoap (2.8.104-1) unstable; urgency=medium

  * Update to 2.8.104
  * Drop patches gsoap-doc-typo.patch and gsoap-yylval.patch

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 22 Jul 2020 15:23:55 +0200

gsoap (2.8.91-3) unstable; urgency=medium

  * Link failure with gcc 10 - multiple definition of yylval (closes: #957315)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 24 Apr 2020 09:20:24 +0200

gsoap (2.8.91-2) unstable; urgency=medium

  * Re-upload source only

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 03 Dec 2019 11:22:40 +0100

gsoap (2.8.91-1) unstable; urgency=medium

  * Update to 2.8.91
  * Drop patch gsoap-samples-xml-rpc-json-pthread.patch (fixed upstream)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 16 Aug 2019 19:36:25 +0200

gsoap (2.8.75-2) unstable; urgency=medium

  * Convert debian/rules to dh tool
  * Change to debhelper compat level 10
  * Separate arch and indep rules in debian/rules
  * Drop Depends on libgsoap-dev in gsoap (Closes: #930961)
  * Replace top level index.html in the doc package with a version without
    external references (lintian privacy-breach-generic warning)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 22 Jul 2019 09:35:50 +0200

gsoap (2.8.75-1) unstable; urgency=medium

  * New upstream release
  * Drop patches gsoap-header.patch and gsoap-size-aname.patch

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sun, 20 Jan 2019 14:32:36 +0100

gsoap (2.8.60-2) unstable; urgency=medium

  * Restore broken -c and -s modes in wsdl2h
  * Move VCS to salsa.debian.org

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sat, 03 Feb 2018 17:27:02 +0100

gsoap (2.8.60-1) unstable; urgency=medium

  * New upstream release

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 30 Jan 2018 09:04:24 +0100

gsoap (2.8.49-1) unstable; urgency=medium

  * New upstream release
  * Drop patch gsoap-xlocale.patch (accepted upstream)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 11 Jul 2017 16:25:05 +0200

gsoap (2.8.48-3) unstable; urgency=medium

  * Migrate to dbgsym packages
  * Support cross compilation - patch by Helmut Grohne <h.grohne@intenta.de>
    (Closes: #850826)
  * Update the xlocale patch based on upstream's feedback

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 07 Jul 2017 16:11:26 +0200

gsoap (2.8.48-2) unstable; urgency=medium

  * Don't include xlocale.h

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 05 Jul 2017 05:06:36 +0200

gsoap (2.8.48-1) unstable; urgency=medium

  * New upstream release (Closes: #859932)
  * Use -release instead of -version-info to set soname of shared libraries
  * Drop patches gsoap-backport.patch and gsoap-openssl110.patch

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 21 Jun 2017 09:56:01 +0200

gsoap (2.8.35-4) unstable; urgency=medium

  * Rebuild for OpenSSL 1.1.0

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 06 Dec 2016 09:32:36 +0100

gsoap (2.8.35-3) unstable; urgency=medium

  * Force non-parallel make (Closes: #839019)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 03 Oct 2016 13:20:15 +0200

gsoap (2.8.35-2) unstable; urgency=medium

  * Backport fix from upstream

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 26 Sep 2016 14:49:28 +0200

gsoap (2.8.35-1) unstable; urgency=medium

  * New upstream release
  * Add fixes for OpenSSL 1.1.0 (Closes: #828333)
  * Change Maintainer e-mail (fysast → physics)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 19 Sep 2016 11:29:47 +0200

gsoap (2.8.30-1) unstable; urgency=medium

  * New upstream release (Closes: #819004)
  * Bump soname
  * Drop patch fixed upstream: gsoap-aliasing.patch

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 19 Apr 2016 11:51:50 +0200

gsoap (2.8.28-2) unstable; urgency=medium

  * Remove workaround for gcc optimization bug (Fixed in gcc-5/5.3.1-9).
  * Set SOURCE_DATE_EPOCH and rebuild using doxygen 1.8.11
    (for reproducible build)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 23 Feb 2016 16:29:52 +0100

gsoap (2.8.28-1) unstable; urgency=medium

  * New upstream release
  * Bump soname
  * Drop patch fixed upstream: gsoap-missing-terminating-quote.patch

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 02 Feb 2016 11:14:16 +0100

gsoap (2.8.22-2) unstable; urgency=medium

  * Introduce workaround for gcc optimization bug on mips and mipsel, add
    -fno-ipa-sra to CFLAGS and CXXFLAGS - see BTS #804536 (Closes: #804455)
  * Fix some compilation warnings

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 20 Jan 2016 21:30:22 +0100

gsoap (2.8.22-1) unstable; urgency=medium

  * New upstream release
  * Bump soname
  * Drop patches fixed upstream: gsoap-private-lm.patch, -pad.patch,
    -ipv6.patch, -default-paths.patch, -cleanfiles.patch, -doxygen-paths.patch

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 23 Apr 2015 13:06:30 +0200

gsoap (2.8.17-1) unstable; urgency=medium

  * New upstream release
  * Bump soname
  * Fix default import paths for soapcpp2 and wsdl2h
  * Remove precompiled binaries and pregenerated doxygen documentation
    from sources (Closes: #753963)
  * Remove xsd and wsdl files with licenses that disallow modification from
    sources (Closes: #728414)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 08 Jul 2014 23:10:39 +0200

gsoap (2.8.16-3) unstable; urgency=medium

  * Fix for IPv4 only hosts (LP: #876713)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 03 Jun 2014 08:32:23 +0200

gsoap (2.8.16-2) unstable; urgency=low

  * Move -lm to Libs.private in pkg-config files

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 31 Oct 2013 11:53:42 +0100

gsoap (2.8.16-1) unstable; urgency=low

  * New upstream release
  * Bump soname - struct soap changed

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 18 Oct 2013 06:09:09 +0200

gsoap (2.8.12-2) unstable; urgency=low

  * Pad non-ipv6 struct soap to match ipv6 version (Closes: #712685)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 17 Oct 2013 21:57:58 +0200

gsoap (2.8.12-1) unstable; urgency=low

  * New upstream release
  * Convert to multiarch (Closes: #674414)
  * Split gsoap package into libgsoap-dev (Multi-Arch: same) and
    gsoap (Multi-Arch: foreign)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 10 Jan 2013 14:46:34 +0100

gsoap (2.8.7-2) unstable; urgency=low

  * Add missing Replaces/Breaks (Closes: #694277)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 27 Nov 2012 14:42:31 +0100

gsoap (2.8.7-1) unstable; urgency=low

  * New upstream release
  * Bump soname due to changes in struct soap w.r.t. the previous Debian
    version
  * Split binary rule in debian/rules for arch and indep

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 08 Feb 2012 11:00:53 +0100

gsoap (2.8.4-2) unstable; urgency=low

  * Bump soname instead of using shlibs file for backward
    non-compatible updates

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 07 Nov 2011 20:34:05 +0100

gsoap (2.8.4-1) unstable; urgency=low

  * New upstream release
  * Drop gsoap-ipv6.patch implemented upstream
  * Link gsoap SSL shared libraries with libssl (Closes: #646228)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 01 Nov 2011 05:14:38 +0100

gsoap (2.8.3-3) unstable; urgency=low

  * Fix an issue with IPv4 only sockets when IPv6 is enabled (LP: #876713)
  * Use dpkg's build flags

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 21 Oct 2011 16:02:55 +0200

gsoap (2.8.3-2) unstable; urgency=low

  * Update man pages
  * Add shlibs file

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 28 Aug 2011 18:50:33 +0200

gsoap (2.8.3-1) unstable; urgency=low

  * New upstream release
  * Update debian/copyright - the code generated by wsdl2h and soapcpp2
    now has an OpenSSL linking exception to the GPL

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 28 Jun 2011 06:56:17 +0200

gsoap (2.8.2-1) unstable; urgency=low

  * New upstream release
  * Rewrite the debian/copyright file

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 26 May 2011 16:01:38 +0200

gsoap (2.7.17-1) unstable; urgency=low

  * New maintainer: Mattias Ellert (Closes: #519898).
  * New upstream release (Closes: #489264).
  * Install import and plugin directories (Closes: #606641).
  * Install custom directory (Closes: #513244).
  * Correct doc-base file (Closes: #512894).
  * Enable IPv6 support.

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 15 Mar 2011 18:59:16 +0100

gsoap (2.7.9l-0.2) unstable; urgency=low

  * Non-maintainer upload
  * Added build dependency on quilt (Closes: #487156).
  * Updated doc-base entry.
  * Suggesting openssl package that is used in examples.
  * Eliminated lintian warning on root.sh example.

 -- Steffen Moeller <moeller@debian.org>  Sun, 22 Jun 2008 03:02:16 +0200

gsoap (2.7.9l-0.1) unstable; urgency=low

  * Non-maintainer upload
  * New upstream version (Closes: #441212, #442280).
  * Added -fPIC -DPIC to C(PP)FLAGS to ease linking (Closes: #353724).

 -- Steffen Moeller <moeller@debian.org>  Thu, 19 Jun 2008 14:50:28 +0200

gsoap (2.7.9b-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * 0-day porter NMU.
  * Fix mis-detection of TRU64 whenever __alpha is defined, which causes a
    build failure on Linux/Alpha.  Closes: #337863.

 -- Steve Langasek <vorlon@debian.org>  Wed, 02 May 2007 02:15:40 -0700

gsoap (2.7.9b-1) unstable; urgency=low

  * New upstream version (Closes: #383712)
  * The following fixes were contributed by Christian Holm Christensen
    <cholm@nbi.dk> (Closes: #402115):
  ** Also install stl*.h files  needed by wsdl2h (Closes: #330886).
  ** Install stdsoap2.c and stdsoap2.cpp in /usr/include/gsoap/ so that
     developers can `#include <gsoap/stdsoap2.c>' or
     `#include <gsoap/stdsoap2.cpp>' instead of linking against -lgsoap,
     or compile these files separately.  The documentation actually
     suggests that the developer should compile these files into the
     server/client, so they should be distributed.
  ** Improve man(1) pages
  ** Added copy of config.{guess,sub} and build-dep on autotools-dev
  ** Added some of the examples from the `soapcpp2/samples' directory as
     normal examples.  This servers as an extra source of documentation.
  ** Fixed a problem in the code when passing a `unsigned char*' (by
     address) instead of a `const unsigned char*'.  Line 3813 in
     stdsoap2_ssl_cpp.cpp (a symlink to stdsoap2.cpp).
  ** Fix perm of example script root.sh
  ** Do not distribute configured built-system with examples.
  ** soapcpp2.html isn't compressed

 -- Thomas Wana <greuff@debian.org>  Thu,  1 Feb 2007 15:21:36 +0100

gsoap (2.7.6d-1) unstable; urgency=low

  * New upstream version

 -- Thomas Wana <greuff@debian.org>  Fri, 20 Jan 2006 13:34:00 +0100

gsoap (2.7.6c-1) unstable; urgency=low

  * New upstream version (Closes: #325021, #325022)

 -- Thomas Wana <greuff@debian.org>  Wed, 21 Sep 2005 00:14:41 +0200

gsoap (2.7.0d-2) unstable; urgency=low

  * Package now includes header files needed for soapcpp2 to work with
    files generated from wsdl2h (Closes: #310582)

 -- Thomas Wana <greuff@debian.org>  Sat,  4 Jun 2005 13:29:49 +0200

gsoap (2.7.0d-1) unstable; urgency=low

  * New upstream version 2.7.0d stable (Closes: #199358 (ITP)).

 -- Thomas Wana <greuff@debian.org>  Wed,  5 Jan 2005 20:36:12 +0100
